#!/bin/sh
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/rc.d/rc.httpd.new
# This won't be needed.  The point here is to preserve the permissions of the existing
# file, if there is one.  I don't see major new development happening in rc.httpd...  ;-)
rm -f etc/rc.d/rc.httpd.new

# Now copy the Apache config files into place if there are not existing copies:
for cfgfile in access.conf httpd.conf magic mime.types srm.conf ; do
   if [ ! -f etc/apache/${cfgfile} ]; then
      cp -a etc/apache/${cfgfile}.default etc/apache/${cfgfile}
   fi
done

# If the apache user/group don't exist, add them:
if grep "^apache:x:" etc/passwd 1> /dev/null 2> /dev/null ; then
  true
else
  echo "apache:x:48:48:apache:/:/bin/false" >> etc/passwd
fi
if grep "^apache::" etc/group 1> /dev/null 2> /dev/null ; then
  true
else
  echo "apache::48:apache" >> etc/group
fi
if grep "^apache:" etc/shadow 1> /dev/null 2> /dev/null ; then
  true
else
  echo "apache:*:9797:0:::::" >> etc/shadow
fi

# Create empty log files chmod'ed to 0600. The admin can relax these later,
# and Apache and logrotate will honor the new permissions.
umask 0077
[ ! -e var/log/apache/access_log ] && : > var/log/apache/access_log
[ ! -e var/log/apache/error_log ] && : > var/log/apache/error_log
